> ## Documentation Index
> Fetch the complete documentation index at: https://docs.timelockdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Category



## OpenAPI

````yaml PUT /evidences/{COMPANY_ID}/category/{CATEGORY_ID}
openapi: 3.0.0
info:
  title: TimeLockData API
  description: Public API for evidence management and blockchain traceability
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.timelockdata.com/api/v1
    description: Production
security: []
tags: []
paths:
  /evidences/{COMPANY_ID}/category/{CATEGORY_ID}:
    put:
      tags:
        - Evidence Management
      summary: Update a category
      operationId: DigitalTwinController_updateCategory
      parameters:
        - name: COMPANY_ID
          required: true
          in: path
          description: Company identifier
          schema:
            type: string
        - name: CATEGORY_ID
          required: true
          in: path
          description: Category identifier
          schema:
            type: string
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/UpdateCategoryRequest'
      responses:
        '200':
          description: Category updated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateCategoryResponse'
      security:
        - APIKeyAuth: []
components:
  schemas:
    UpdateCategoryRequest:
      type: object
      properties:
        name:
          type: string
          description: Name of the category
        action:
          type: string
          description: Action to perform on the category
          enum:
            - CHANGE
            - ACTIVATE
            - DEACTIVATE
            - REMOVE
        description:
          type: string
          description: Description of the category
        file:
          type: string
          description: Image file for the category
          format: binary
      required:
        - name
        - action
    UpdateCategoryResponse:
      type: object
      properties:
        imageId:
          type: string
          description: ID of the category icon image
  securitySchemes:
    APIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````